# Class AdqlFeature.Function

java.lang.Object
uk.ac.starlink.vo.AdqlFeature
uk.ac.starlink.vo.AdqlFeature.Function

Enclosing class:
  `AdqlFeature`

public static class AdqlFeature.Function extends AdqlFeature
AdqlFeature subclass which represents a function. This includes declared arguments and a return type.

Since:
  23 Feb 2024
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class AdqlFeature

`AdqlFeature.Arg, AdqlFeature.Function, AdqlFeature.Type`

## Field Summary

### Fields inherited from class AdqlFeature

`ADQL21MISC_FILTER, ADQLGEO_FILTER, NONSTD_FILTER, UDF_FILTER`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Function(String name, String description, AdqlFeature.Arg[] args, AdqlFeature.Type returnType)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`AdqlFeature.Arg[]`
`getArgs()`
Returns the declared arguments of this function.
`AdqlFeature.Type`
`getReturnType()`
Returns the declared return type of this function.

### Methods inherited from class AdqlFeature

`getDescription, getGeomFunctions, getMathsFunctions, getName, getOptionalFeatures, getOptionalFunctions, getTrigFunctions`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Function

protected Function(String name, String description, AdqlFeature.Arg[] args, AdqlFeature.Type returnType)
Constructor.

Parameters:
  `name` - function name
  `description` - plain text description directed at users
  `args` - function declared arguments
  `returnType` - function declared return type

## Method Details

### getArgs

public AdqlFeature.Arg[] getArgs()
Returns the declared arguments of this function.

Returns:
  arguments

### getReturnType

public AdqlFeature.Type getReturnType()
Returns the declared return type of this function.

Returns:
  return type